List Templates
Returns a list of all QR code design templates belonging to the authenticated workspace. Templates store reusable design configurations that can be applied when generating QR codes.
GET
/v1/qr/templates qr:read Parameters
This endpoint takes no parameters.
Request examples
curl https://xqr.co/api/v1/qr/templates \ -H "Authorization: Bearer YOUR_API_KEY"const res = await fetch("https://xqr.co/api/v1/qr/templates", { headers: { Authorization: "Bearer YOUR_API_KEY", },});
const { data, meta } = await res.json();import httpx
res = httpx.get( "https://xqr.co/api/v1/qr/templates", headers={"Authorization": "Bearer YOUR_API_KEY"},)
payload = res.json()templates = payload["data"]Response
200 OK
{ "data": [ { "id": "tpl_abc123", "name": "Brand Primary", "description": "Main brand QR style with purple dots and rounded corners", "design": { "foreground_color": "#8B5CF6", "background_color": "#FFFFFF", "error_correction": "H", "dot_style": "rounded", "corner_style": "rounded", "logo_url": "https://cdn.xqr.co/logos/brand.png", "logo_size": 0.25, "quiet_zone": 2 }, "created_at": "2026-01-15T10:30:00Z", "updated_at": "2026-02-20T14:00:00Z" }, { "id": "tpl_def456", "name": "Minimal Dark", "description": null, "design": { "foreground_color": "#1A1A2E", "background_color": "#F5F5F5", "error_correction": "M", "dot_style": "square", "corner_style": "square", "logo_url": null, "logo_size": 0.2, "quiet_zone": 1 }, "created_at": "2026-03-01T08:00:00Z", "updated_at": "2026-03-01T08:00:00Z" } ], "meta": { "request_id": "req_7f3a2b", "rate_limit": { "remaining": 98, "reset_at": "2026-03-21T12:01:00Z" } }}Was this page helpful?
Thanks for your feedback!